﻿using System;
using System.Globalization;
using System.Linq;
using System.Windows.Data;

namespace ListViewGroupHeaderSummary.Model
{
    public class GroupDataAggregator : IValueConverter
    {
        public object Convert(object value, Type type, object arg, CultureInfo culture)
        {
            var groupData = value as CollectionViewGroup;
            if (groupData != null)
            {
                var scores = groupData.Items.Cast<ScoreInfo>();
                var avgMath = (int)scores.Average(x => x.MathScore);
                var avgEng = (int)scores.Average(x => x.EnglishScore);

                return new ScoreInfo(groupData.Name.ToString(), null, avgMath, avgEng);
            }

            return new InvalidOperationException();
        }

        public object ConvertBack(object value, Type type, object arg, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
